Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592411 - getent returns the login shell of the users even though the remote LDAP server has no such entry.
getent returns the login shell of the users even though the remote LDAP serve...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nss-pam-ldapd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 592488 592965
  Show dependency treegraph
 
Reported: 2010-05-14 15:46 EDT by Gowrishankar Rajaiyan
Modified: 2010-05-19 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: nss-pam-ldapd-0.7.5-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 592488 592965 (view as bug list)
Environment:
Last Closed: 2010-05-19 15:19:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2010-05-14 15:46:00 EDT
Description of problem:
getent returns the login shell of the users (puser1 & puser2 in this case) even though the remote LDAP server has no such entry.

Version-Release number of selected component (if applicable):
nss-pam-ldapd-0.7.3-1.el6.x86_64

How reproducible:


Steps to Reproduce:

1. Make sure there exists no "loginshell" attribute for the users on the ldap server.

2. Configure /etc/nslcd.conf:
# cat /etc/nslcd.conf
uid nslcd
gid ldap
uri ldaps://shanksldap.idm.lab.bos.redhat.com:636
base dc=example,dc=com
tls_cacertdir /etc/openldap/cacerts

3. getent -s ldap passwd. Observe that the loginshell is returned for puser1 and puser2.

Actual results:

/# /usr/bin/ldapsearch -x -h shanksldap.idm.lab.bos.redhat.com -p 389 -D "cn=Directory Manager" -w Secret123 -b "uid=puser1,ou=People,dc=example,dc=com"
# extended LDIF
#
# LDAPv3
# base <uid=puser1,ou=People,dc=example,dc=com> with scope subtree
# filter: (objectclass=*)
# requesting: ALL
#

# puser1, People, example.com
dn: uid=puser1,ou=People,dc=example,dc=com
uidNumber: 1001
gidNumber: 1001
objectClass: top
objectClass: posixAccount
uid: puser1
cn: Posix User1
homeDirectory: /export/puser1
userPassword:: e1NTSEF9ZVRKdWZxNWJtS0Q4SGVON01EZ0JuYzB0cUdzQWluUGlOZzM5TUE9PQ=
 =



# getent -s ldap passwd 
shanks:*:1010:1010:shanks:/home/shanks:/bin/bash
sssd:*:5000:5000:SSSD:/home/sssd:/bin/bash
puser1:*:1001:1001:Posix User1:/export/puser1:/bin/bash  <===========
puser2:*:1002:1002:Posix User2:/export/puser2:/bin/bash  <===========
puser3:*:999:999:Posix User3:/export/puser3:/bin/bash


Expected results:

Should not return missing attributes.

Additional info:
Comment 1 Fedora Update System 2010-05-14 18:21:23 EDT
nss-pam-ldapd-0.7.5-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nss-pam-ldapd-0.7.5-2.fc13
Comment 2 Fedora Update System 2010-05-15 16:21:13 EDT
nss-pam-ldapd-0.7.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss-pam-ldapd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nss-pam-ldapd-0.7.5-2.fc13
Comment 3 Gowrishankar Rajaiyan 2010-05-17 00:37:43 EDT
Tests were completed successfully using nss-pam-ldapd-0.7.5-2.fc13.
Comment 4 Fedora Update System 2010-05-19 15:19:03 EDT
nss-pam-ldapd-0.7.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.